%global base_version 3.75
Name:           perl-PathTools
Version:        3.80
Release:        2
Summary:        PathTools Perl Module (Cwd, File::Spec)
License:        (GPL+ or Artistic) and BSD
URL:            https://metacpan.org/release/PathTools
Source0:        https://cpan.metacpan.org/authors/id/X/XS/XSAWYERX/PathTools-%{base_version}.tar.gz

Patch6000:      backport-PathTools-3.75-Upgrade-to-3.78.patch
Patch6001:      backport-PathTools-3.78-Upgrade-to-3.80.patch

BuildRequires:  gcc perl-generators perl-interpreter perl-devel
BuildRequires:  perl(ExtUtils::MakeMaker) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp) perl(File::Basename) perl(Errno) perl(Scalar::Util)

%{?perl_default_filter}

%description
Tools for working with directory and file names.

%package_help

%prep
%autosetup -n PathTools-%{base_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} -c $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/File/*
%{perl_vendorarch}/auto/*

%files help
%{_mandir}/man3/*

%changelog
* Tue Oct 25 2022 jiangchuangang <jianghcuangang@huawei.com> - 3.80-2
- rectify the license

* Thu Dec 30 2021 yuanxin <yuanxin24@huawei.com> - 3.80-1
- update version to 3.80

* Wed May 13 2020 licunlong <licunlong1@huawei.com> - 3.75-5
- add perl-devel buildrequire

* Sun Jan 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.75-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete redundant file

* Thu Sep 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.75-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise help package

* Tue Aug 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.75-2
- Package init
